CharStringCommand.Key
Date: 2017-05-25

org.apache.fontbox.cff

## Class CharStringCommand.Key

- java.lang.Object
- - org.apache.fontbox.cff.CharStringCommand.Key

- Enclosing class:
    CharStringCommand

      public static class CharStringCommand.Key
      extends java.lang.Object

  A static class to hold one or more int values as key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharStringCommand.Key(int b0)` Constructor with one value.
    `CharStringCommand.Key(int[] values)` Constructor with an array as values.
    `CharStringCommand.Key(int b0, int b1)` Constructor with two values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `int[]` | `getValue()` Array the with the values.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CharStringCommand.Key

          public CharStringCommand.Key(int b0)

      Constructor with one value.
      Parameters:
        `b0` - value

    - #### CharStringCommand.Key

          public CharStringCommand.Key(int b0,
                               int b1)

      Constructor with two values.
      Parameters:
        `b0` - value1
        `b1` - value2

    - #### CharStringCommand.Key

          public CharStringCommand.Key(int[] values)

      Constructor with an array as values.
      Parameters:
        `values` - array of values

  - ### Method Detail

    - #### getValue

          public int[] getValue()

      Array the with the values.
      Returns:
        array with the values

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`